%global momorel 8

%global gid 371
%global groupname fingerprint

Summary: A driver for the UPEK/SGS Thomson Microelectronics fingerprint reader
Name: thinkfinger
Version: 0.3
Release: %{momorel}m%{?dist}
License: GPLv2+
Group: System Environment/Base
URL: http://thinkfinger.sourceforge.net/
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz 
NoSource: 0
Source1: system-auth.sample
Source2: %{name}.modules.sample
Source3: README.%{name}.Momonga
Source4: 60-%{name}.rules
Patch0: %{version}-direct_set_config_usb_hello.patch
Patch1: %{version}-carriagereturn.patch
Patch2: %{version}-send-sync-event.patch
Patch3: %{version}-tftoolgroup.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(pre): shadow-utils
Requires: pam
Requires: udev
BuildRequires: libacl-devel
BuildRequires: libusb-devel
BuildRequires: doxygen
BuildRequires: pam-devel
BuildRequires: pkgconfig

%description
ThinkFinger is a driver for the UPEK/SGS Thomson Microelectronics fingerprint
reader (USB ID 0483:2016). The device is being found either as a standalone USB
device, built into USB keyboards or built into laptops.  The following laptop
vendors are using the device:

- Dell
- IBM/Lenovo
- Toshiba

Toshiba is shipping their laptops either with the UPEK/SGS Thomson
Microelectronics fingerprint reader or with a fingerprint reader built by
AuthenTec. The AuthenTec fingerprint reader is *not* supported by ThinkFinger.

SONY laptops with the UPEK/SGS Thomson Microelectronics fingerprint reader are
not supported.

%package devel
Summary: Header files and static libraries from thinkfinger
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libusb-devel
Requires: pkgconfig

%description devel
Libraries and includes files for developing programs based on thinkfinger.

%prep
%setup -q

%patch0 -p0 -b .usb-hello
%patch1 -p0 -b .key-a
%patch2 -p0 -b .send-sync-event
%patch3 -p0 -b .grp

# for doc
install -m 644 %{SOURCE3} .

%build
%configure \
	--with-securedir=/%{_lib}/security

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# fingerprints directory
mkdir -p %{buildroot}%{_sysconfdir}/pam_%{name}

# install sample configuration files
mkdir -p %{buildroot}%{_datadir}/config-sample/%{name}
install -m 644 %{SOURCE1} %{SOURCE2} %{buildroot}%{_datadir}/config-sample/%{name}/

# install udev file
mkdir -p %{buildroot}%{_sysconfdir}/udev/rules.d
install -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/udev/rules.d/

# get rid of *.la file
rm -f %{buildroot}%{_libdir}/lib*.la

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%pre
%{_sbindir}/groupadd -g %{gid} -r %{groupname} &>/dev/null || :

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%doc README.%{name}.Momonga
%{_sysconfdir}/pam_%{name}
%{_sysconfdir}/udev/rules.d/60-%{name}.rules
/%{_lib}/security/pam_%{name}.so
%{_libdir}/lib%{name}.so.*
%{_sbindir}/tf-tool
%{_datadir}/config-sample/%{name}
%{_mandir}/man1/tf-tool.1*
%{_mandir}/man8/pam_%{name}.8*

%files devel
%defattr(-,root,root)
%{_includedir}/lib%{name}.h
%{_libdir}/pkgconfig/lib%{name}.pc
%{_libdir}/lib%{name}.a
%{_libdir}/lib%{name}.so

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3-8m)
- full rebuild for mo7 release

* Tue Aug 17 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3-7m)
- import udev rule file and 4 patches from gentoo to enable working
- good-bye Fedora's patches, PolicyKit and hal
- and hello udev!
- update README.thinkfinger.Momonga
- thinkfinger is working perfect now

* Mon Dec 28 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.3-6m)
- delete __libtoolize hack

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3-5m)
- rebuild against gcc-4.4 and glibc-2.11

* Fri May 22 2009 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.3-4m)
- define __libtoolize (build fix)

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3-3m)
- rebuild against rpm-4.6

* Tue Apr 29 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3-2m)
- add system-auth.sample

* Sun Apr 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3-1m)
- initial package for TP freaks using Momonga Linux
- import 6 patches from Fedora
